Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces
WithDependency.h File Reference
`#include <list>`
`#include <string>`
`#include <typeinfo>`
`#include <tulip/tulipconf.h>`
Include dependency graph for WithDependency.h:
This graph shows which files directly or indirectly include this file:

## Classes

- struct tlp::Dependency
    Represents a single Tulip plug-in. More...
- class tlp::WithDependency
    Describes the dependencies of a plug-in on other plug-ins, identified by their name. This allows to have a plug-in inner workings depend on other plug-ins without linking them statically, or hoping depended plug-in will be there. More...

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2012